* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Inter", sans-serif;
}

body {
    overflow-x: hidden;
}

/* NAVBAR */
.header {
    position: relative;
    width: 100%;
    top: 0;
    z-index: 9999;
}

.nav {
    margin: auto;
    padding: 12px 30px;
    display: flex;
    background-color: #fff;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
    z-index: 9999;
}

.logo-header img {
    width: 200px;
    height: 100px;
    object-fit: cover;
}

.menu {
    display: flex;
    gap: 25px;
    align-items: center;
}

.menu a {
    text-align: center;
    text-decoration: none;
    color: #333;
    font-weight: 600;
    transition: 300ms;
}

.menu a:hover {
    transform: translateY(-2px);
}

.menu .active {
    color: #1abc9c;
}

.menu .btn-contato img {
    width: 20px;
    margin-right: 8px;
}

.menu .btn-contato {
    display: flex;
    align-items: center;
    background: #1abc9c;
    color: #fff;
    padding: 10px 18px;
    border-radius: 20px;
}

/* MOBILE MENU */
.menu-toggle {
    display: none;
    font-size: 24px;
    cursor: pointer;
    z-index: 99;
}

@media (max-width: 768px) {

    .menu {
        position: absolute;
        top: 70px;
        right: 20px;
        background: #fff;
        flex-direction: column;
        width: 200px;
        padding: 20px;
        border-radius: 10px;
        display: none;
    }

    .menu.active {
        display: flex;
    }

    .menu-toggle {
        display: block;
        z-index: 99;
    }

}

/* DROPDOWN */
.dropdown {
    position: relative;
    z-index: 99;
}

.dropdown-toggle {
    background: none;
    border: none;
    font-weight: 600;
    cursor: pointer;
    color: #333;
    font-size: 16px;
    z-index: 99;
}

/* MENU ESCONDIDO */
.dropdown-menu {
    position: absolute;
    top: 120%;
    left: 0;
    background: #fff;
    min-width: 200px;
    border-radius: 8px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);

    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: 0.3s;

    display: flex;
    flex-direction: column;
    z-index: 99;
}

.dropdown-menu a {
    padding: 12px 15px;
    text-decoration: none;
    color: #333;
    transition: 0.3s;
    z-index: 99;
}

.dropdown-menu a:hover {
    background: #f5f5f5;
}

/* QUANDO ATIVO */
.dropdown.active .dropdown-menu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    z-index: 99;
}